Subject: RE: [AAA-WG]: when it's okay to proxy

From: <[email-masked]>
Date: Thu, 13 May 2004 15:55:25 +0300

Hi Joe,

> "For the originator of a Diameter message, "Encr" (Encryption) mans that 
> if a message containing that AVP is to be sent via a Diameter Agent 
> (proxy, redirect or relay) then the message MUST NOT be sent 
> unless..."
> 
> What puzzles me about this is that if a peer is discovered but not 
> configured, then there is no way to know if it is a proxy.  Relays and 
> Redirect Agents can always be identified because they advertise the 
> Relay application id.  But proxies look the same as servers 
> and clients.
> 
> Even for a peer that is known by static configuration, is it expected 
> that it be idenified as a proxy by configuration?  Or is there some way 
> to discover that it is a proxy that I am missing?

It seems that there is no discovery mechanism for proxies, manual configuration
is the only way.  Would it make sense for Proxies to advertise themselves as such
via the Application Identifiers?

John